This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254528 - ClassCastException when kcontainer.updateToVersion() with sliding window rule running (with fix for DROOLS-881 and DROOLS-883)
ClassCastException when kcontainer.updateToVersion() with sliding window rule...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER3
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 06:23 EDT by Hisao Furuichi
Modified: 2015-10-09 08:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-886 Major Resolved ClassCastException when kcontainer.updateToVersion() with sliding window rule running (with fix for DROOLS-881 and DROOL... 2016-01-28 23:35 EST

  None (edit)
Description Hisao Furuichi 2015-08-18 06:23:21 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-886
There is a BZ-1253162 for DROOLS-881. But, the issue still occurs with the fix for DROOLS-881. So I create a new one for DROOLS-886.

Steps to Reproduce:
1. See the reproducer in DROOLS-886
Comment 1 JBoss JIRA Server 2015-08-18 10:02:34 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-886 to Resolved
Comment 2 Mario Fusco 2015-08-18 10:10:04 EDT
Hisao, as I reported on jira, I cannot reproduce this issue. Please provide another reproducer if you think that the problem is still there or clarify in which environment we should try the one you already sent.
Comment 3 Mario Fusco 2015-08-18 10:10:29 EDT
Hisao, as I reported on jira, I cannot reproduce this issue. Please provide another reproducer if you think that the problem is still there or clarify in which environment we should try the one you already sent.
Comment 4 JBoss JIRA Server 2015-08-19 01:57:26 EDT
Toshiya Kobayashi <tkobayas@redhat.com> updated the status of jira DROOLS-886 to Reopened
Comment 5 Hisao Furuichi 2015-08-19 20:38:14 EDT
Hello.
Toshiya modified the reproducer and attached to DROOLS-886. Could you take a look at it please?

Thx
Comment 6 JBoss JIRA Server 2015-08-20 13:10:11 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-886 to Resolved
Comment 7 Mario Fusco 2015-08-20 13:11:45 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/dd1f6abcc
Comment 8 Marek Winkler 2015-10-09 08:06:54 EDT
Verified in BRMS 6.2.0.ER3 by running the reproducer attached to DROOLS-886.

Note You need to log in before you can comment on or make changes to this bug.